/*
Theme Name: Leroux Child
Theme URI: https://leroux.qodeinteractive.com
Description: A child theme of Leroux
Author: Elated Themes
Author URI: https://qodeinteractive.com
Version: 1.0
Text Domain: leroux
Template: leroux
*/
#qodef-page-header {
	background: linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgb(0 0 0 / 30%) 50%, rgb(0 0 0 / 55%) 100%);
}

ul#menu-procom-products, ul#menu-procom-industries, #menu-procom-managers, #menu-procom-trainers {
    font-size: 1.5em;
    font-family: "DegularDisplay", Sans-serif;
    font-weight: 400;
    line-height: 110%;
    letter-spacing: 1px;
    color: var(--e-global-color-814bc8c);
	  list-style-type: none;
  	padding-left: 2em;
}

ul#menu-procom-products li::before,
ul#menu-procom-industries li::before,
ul#menu-procom-managers li::before,
ul#menu-procom-trainers li::before,
#header-training::before,
.tick-header h5::before {
  content: '';
  display: inline-block;
  vertical-align: middle;
  width: 1em;
  height: 1em;
  margin-left: -2em;
  margin-right: 1em;
  background-color: #a1b98a;
  mask-image: url('data:image/svg+xml;utf8,<svg viewBox="0 0 16 16" fill="black" xmlns="http://www.w3.org/2000/svg"><path d="M6 10.8L2.2 7 1 8.2l5 5 9-9L13.8 3l-7.8 7.8z"/></svg>');
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  -webkit-mask-image: url('data:image/svg+xml;utf8,<svg viewBox="0 0 16 16" fill="black" xmlns="http://www.w3.org/2000/svg"><path d="M6 10.8L2.2 7 1 8.2l5 5 9-9L13.8 3l-7.8 7.8z"/></svg>');
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
}

ul#menu-procom-trainers li::before {
    content: none;
}

ul#menu-procom-products li, ul#menu-procom-industries li, ul#menu-procom-managers li, ul#menu-procom-trainers li, #header-training, .tick-header h5 {
  padding: 0.25em 0; /* Add vertical padding for spacing */
}

#header-training {
    display: inline-flex;
    margin: 0 !important; 
}

#header-training .elementor-widget-container {
    margin: 0 !important;
}

#menu-procom-trainers a {
    pointer-events: none;
}

@media only screen and (max-width: 1024px) {
	/* Show PCC logo (black text version) for better visibility */
	a.qodef-mobile-header-logo-link.qodef-height--set.qodef-source--image {
		background-image: url(/wp-content/uploads/2025/06/PCC-Logo.svg);
		background-size: contain;
        background-repeat: no-repeat;
	}
	
	/* Hide desktop logo */
	a.qodef-mobile-header-logo-link.qodef-height--set.qodef-source--image img {
		opacity: 0 !important;
	}
	
	.pc-page-title p {
		font-size: 0.8em;
	}
	
	.sidebar-header h2 {
		font-size: 2em;
	}
}

@media only screen and (max-width: 600px) {
	.pc-page-title p {
		font-size: 0.7em;
	}
	
	.sidebar-header h2 {
		font-size: 1.8em;
	}
}